This endpoint is in beta and subject to change.
A beta revision header (2026-10-15.pre) is required to use our beta APIs. Klaviyo APIs in beta are not intended for use in production. See our versioning and deprecation policy for more information.
Sends one or more messages to Customer Agent and returns every public event it emits in response, including structured data such as orders and products.
Multiple messages can be attached, if the user has sent multiple or another agent's response should be included. The response is non-streaming; the entire event list is returned at once.
Images the customer sent can be attached to the final message as https:// URLs or base64 data URIs for the agent to take into account.
Requires an open conversation, created via POST /api/customer-agent-conversations. Conversations can only be interacted with that were created via the API. A closed or unknown conversation is also rejected. A hard or silent handoff moves the conversation to routed-to-team, after which it no longer accepts responses.
Rate limits:
Burst: 10/s
Steady: 150/m
Scopes:
agents:write